{
    // 使用 IntelliSense 了解相关属性。 
    // 悬停以查看现有属性的描述。
    // 欲了解更多信息，请访问: https://go.microsoft.com/fwlink/?linkid=830387
    "version": "0.2.0",
    "configurations": [
        {
            "name": "调试模式",
            "type": "go",
            "request": "launch",
            "mode": "debug",
            "program": "./restagent/restagent.go",
            "console": "integratedTerminal",
            "args": ["--env", "local"] // 走开发配置
        },
        {
            "name": "DEBUG restagent",
            "type": "go",
            "request": "launch",
            "mode": "debug",
            "program": "d:/local.git/be.ems/restagent/",
            "console": "integratedTerminal"
        },
        {
            "name": "debug sshsvc",
            "type": "go",
            "request": "launch",
            "mode": "debug",
            "program": "d:/local.git/be.ems/sshsvc/sshsvc.go",
            "console": "integratedTerminal"
        },
        {
            "name": "debug loadpconf",
            "type": "go",
            "request": "launch",
            "mode": "debug",
            "program": "d:/local.git/be.ems/tools/loadpconf",
            "args": ["-p","../../config/param/smf_param_config.yaml"],
            "console": "integratedTerminal"
        },
        {
            "name": "debug crontask",
            "type": "go",
            "request": "launch",
            "mode": "debug",
            "program": "d:/local.git/be.ems/crontask",
            "console": "integratedTerminal"
        },
        {
            "name": "debug encyaml",
            "type": "go",
            "request": "launch",
            "mode": "debug",
            "program": "d:/local.git/be.ems/tools/encode",
            //"args": ["-p","../../config/param/smf_param_config.yaml"],
            "console": "integratedTerminal"
        }                                              
    ]
}